Open Infrastructure - Task #6871
Task # 6869 (Rejected): Challenge OpenStack and OpenNebula with ucloud

Create ucloud-api
06/23/2019 04:44 PM - Nico Schottelius

Status: Closed Start date: 06/23/2019
Priority: Normal Due date: 06/28/2019
Assignee: Ahmed Bilal % Done: 50%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
This is the user facing API for managing ucloud.
The main job of the APl is to
e a) verify that the user can execute the task
o cannot delete other people's VMs
o if creating a paid service, request an a verification from payment service that the user can pay
® b) creating entries in etcd
o These entries will be watched by others services and then eventually create the VM
For version 1:
¢ Include ungleich-otp verification
o Allow entering ungleich-otp URL via environment
¢ Create VM JSON objects below /v1/vm/<vmid>

For version 2:

e Implement payment verification

History

#1 - 06/23/2019 04:48 PM - Nico Schottelius
- Due date set to 06/28/2019

e v1 due this week, v2 due next week
e Have William and Balazs verify after deploying

#2 - 06/24/2019 11:36 AM - Ahmed Bilal

- Status changed from New to In Progress

#3 - 06/24/2019 01:48 PM - Ahmed Bilal

¢ v1 is deployed on my vm ssh root@2a0a:e5c0:2:12:0:f0ff:fea9:c3d9
e @william and @lInu notified

#4 - 06/24/2019 05:09 PM - Ahmed Bilal

uuid is used instead of increasing number for Virtual Machine IDs.

#5 - 06/24/2019 07:21 PM - Ahmed Bilal

Now, using etcd3 instead of using coreos/etcd python binding because the latter does not have support to watch a prefix e.g /vi/vm

This has implication that we can't access etcd v2 data from v3 APl and vice versa. So, instead of usual “etcdctl” we need to use 'ETCDCTL_API=3
etedctl.

#6 - 06/26/2019 08:04 AM - Ahmed Bilal
https://github.com/kragniz/python-etcd3
https://python-etcd.readthedocs.io/en/latest/

- % Done changed from 0 to 50

#7 - 06/27/2019 01:22 PM - Ahmed Bilal

- Status changed from In Progress to Waiting

#8 - 06/30/2019 05:07 PM - Ahmed Bilal
- Status changed from Waiting to Feedback

#9 - 07/15/2019 04:32 PM - Ahmed Bilal

- Status changed from Feedback to In Progress

#10 - 11/28/2019 08:32 PM - Ahmed Bilal

- Status changed from In Progress to Closed
